package org.spagic.api.caller;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import javax.activation.DataSource;


public class DataSourceWithMimeType implements javax.activation.DataSource {

	private javax.activation.DataSource internal = null;
	private String mimeType = null;
	
	public DataSourceWithMimeType(DataSource ds, String mimeType){
		this.internal = ds;
		this.mimeType = mimeType;
	}

	@Override
	public String getContentType() {
		return mimeType;
	}

	@Override
	public InputStream getInputStream() throws IOException {
		return internal.getInputStream();
	}

	@Override
	public String getName() {
		return internal.getName();
	}

	@Override
	public OutputStream getOutputStream() throws IOException {
		return internal.getOutputStream();
	}
	
}
